World regions
GET
/v1/regionsThe regions used across the API and the ISO codes in each.
On every plan, Free includedKey requiredJSON or CSVCached until the next release
Parameters
No parameters.
Request
# World regions and the countries in each
curl "https://api.tourismapi.com/v1/regions" \
-H "X-API-Key: $TOURISM_API_KEY"const res = await fetch("https://api.tourismapi.com/v1/regions", {
headers: { "X-API-Key": process.env.TOURISM_API_KEY }
});
if (!res.ok) throw new Error(`Tourism API ${res.status}`);
const { meta, data } = await res.json();
console.log(meta.data_as_of, data);import os, requests
r = requests.get(
"https://api.tourismapi.com/v1/regions",
headers={"X-API-Key": os.environ["TOURISM_API_KEY"]},
timeout=10,
)
r.raise_for_status()
body = r.json()
print(body["meta"]["data_as_of"], body["data"])$ch = curl_init("https://api.tourismapi.com/v1/regions");
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => ["X-API-Key: " . getenv("TOURISM_API_KEY")],
]);
$body = json_decode(curl_exec($ch), true);
print_r($body["data"]);
Example response
{
"meta": {
"request_id": "req_bb79abe3b1",
"data_as_of": "2026-10-20T04:47:58Z",
"count": 5
},
"data": [
{
"region": "americas",
"name": "Americas",
"countries": [
"VE",
"HT",
"GY"
]
},
{
"region": "asia-pacific",
"name": "Asia Pacific",
"countries": [
"FM",
"AS",
"MM"
]
},
{
"region": "europe",
"name": "Europe",
"countries": [
"KG",
"BY",
"FO"
]
}
]
}Response fields
| Field | Type | Example |
|---|---|---|
| region | string | americas |
| name | string | Americas |
| countries | array | 3 items |